OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
RefitDesc Struct Reference

Simulated cargo type and capacity for prediction of future links. More...

`#include <vehicle_base.h>`

## Public Member Functions
| RefitDesc (CargoID cargo, uint16 capacity, uint16 remaining)

## Data Fields
CargoID | cargo
| Cargo type the vehicle will be carrying.
uint16 | capacity
| Capacity the vehicle will have.
uint16 | remaining
| Capacity remaining from before the previous refit.

## Detailed Description

Simulated cargo type and capacity for prediction of future links.

Definition at line 203 of file vehicle_base.h.

The documentation for this struct was generated from the following file:

- src/vehicle_base.h